<p align= "center"><img width=70% src="https://github.com/himanshusharma89/relic_bazaar/blob/master/images/promo.png"></p>
 
<div align="center">

![Forks](https://img.shields.io/github/forks/himanshusharma89/relic_bazaar)
![Stars](https://img.shields.io/github/stars/himanshusharma89/relic_bazaar)
![Issues](https://img.shields.io/github/issues/himanshusharma89/relic_bazaar)
![Pull Requests](https://img.shields.io/github/issues-pr/himanshusharma89/relic_bazaar?)

</div>

<h1 align= "left"><b>Motivation💭💭 </b></h1>

With the boons of internet🌐 spreading worlwide over the last two decades, e-commerce has evolved to be one of the largest industries💹!.
<p align= "center"><img width=50% src="https://media.giphy.com/media/xT0xePyGsKplOK5dHG/giphy.gif"></p>

With the passage of time, platforms like Amazon, E-Bay, Flipkart, Myntra have become the modern supermarkerts for us.
<p align= "center"><img width=40% src="https://media.giphy.com/media/xUOwG4WLhybWSkuVeE/giphy.gif"></p>

From our fashionable clothes👗, shoes👟, grocery🥒, items of daily needs to mobile phones📱 we are accustomed to buying almost everything online. Even our food!🎂. Features like flexible options of payment, tons of choices to select from, assured delivery, as well as great customer support, have paved the way for the notion.
<p align= "center"><img width=50% src="https://media.giphy.com/media/xT9DPwpZktmbABO97G/giphy.gif"></p>

However, we found there's something that is left behind on the e-commerce wave.
<p align= "center"><img width=40% src="https://media.giphy.com/media/2AN7gVc1Az7pmdnFc3/giphy.gif"></p>

__The Vintage Products__...Yes, those items of immense cultural significance or historical importance. Maybe those coins from pre-independent India, that chair from the royal family, or perhaps the autograph or souvenirs your family members might have got from Mother Teresa. Trading with such items is a big hassle. Sometimes people are afraid to do so because of the notion that it is illegal. At times, they are fooled by middlemen who buy them in some hundreds of dollars and sell them in thousands. Additionally, there are issues of authenticity as well delivery!

<p align= "center"><img width=40% src="https://media.giphy.com/media/ZEHaLUz9yCSWMwKbsi/giphy.gif"></p>

<h1 align= "left"><b>Our Solution🏗 </b></h1>

<p align= "center"><img width=28% src="https://media.giphy.com/media/5z0cCCGooBQUtejM4v/giphy.gif"></p>


We propose an app with the vision to put back the traditional market of vintage on the tides of the e-commerce boom!. The UI is specifically made to provide a retro feel. We are using a blockchain-based system for payments behind the scenes to ensure privacy and encryption. The registration is simple and can be done using one's Google account as well. Using some beautiful yet concise forms we eliminate the paperwork for sellers. The recommendation engine tends to learn over time about one's taste and suggests similar items to buy. Computer vision-based techniques are used for quality assessment.

<h2 align= "left"><b>Here's some Sneak Peek🧐</b></h2>

<p align= "center"><img width=30% height=30% src="images/splash.gif">&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;<img width=30% height=30% src="images/transition.gif"></p>

<h2 align= "left"><b>Our Mockup🎨</b></h2>

<p align= "center"><img width=70% height=50% src="images/Mockup01.png"></p>

<h2 align= "left"><b>Tech Stack🧐</b></h2>

- Flutter
- Firebase
- Matic API
- TensorFlow + TensorFlow Lite

<p align= "center"><img width=35% src="images/hack20.png"></p>

<h2 align= "left"><b>Contributing Guidelines</b></h2>

1. Make sure to keep the UI consistent while adding a new feature.
2. When adding new packages, use the package version which is compatible with the new flutter 2 update.
3. Make sure that your code is well documented, especially in the tougher areas.
4. Maintain a uniform naming convention throughout the codebase.
5. If your code is being repetitive then refactor it to create a new widget for future use.
6. Make the code as modular as possible, separating the UI from the logic.

Contributions are always welcomed. You can also visit our [contributing guidelines](https://github.com/himanshusharma89/relic_bazaar/blob/master/CONTRIBUTING.md) beforing making any contributions. 

<h2 align= "left"><b>Steps</b></h2>

![Steps](https://media.giphy.com/media/o5BzNDDFQnepi/giphy.gif)


**1.** Fork [this](https://github.com/himanshusharma89/relic_bazaar) repository.

<img src="https://user-images.githubusercontent.com/41269164/70219309-9a3eca80-176a-11ea-8a4d-1bd701d07314.png" width=300>


**2.** Clone the forked repository.

```terminal
git clone --depth 1 https://github.com/<your-github-username>/relic_bazaar.git
```

<img src="https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcT5N0HJ9db7jSvcL4dsDscZQBzqQqqKVs0BnO1OVz26glLWKJRY&usqp=CAU" width="300">

**3.** Navigate to the project directory.

```terminal
cd relic_bazar
```

**4.** Create a new branch.

```terminal
git checkout -b <your_branch_name>
```

**5.** Make changes in source code.

![changes](https://media.giphy.com/media/QNFhOolVeCzPQ2Mx85/200w_d.gif)


**6.** Commit your changes.
```terminal
git commit -m "Message"
```

**7.** Push your local branch to the remote repository.
```terminal
git push -u origin <your_branch_name>
```

**8.** Create a Pull Request!


Finally, go to your repository in the browser and click on `compare and pull requests`.
Then add a title and description to your pull request that explains your precious effort.

<img src="https://user-images.githubusercontent.com/41269164/70219707-47194780-176b-11ea-96c2-d0c401ddb1e0.png" width=600>
		
click on `Compare and Pull Request`
		
<img src="https://user-images.githubusercontent.com/41269164/70219836-8d6ea680-176b-11ea-81d5-549093bf0954.png" width=600>

**Congratulations!**  :boom: Sit and relax, you've made your contribution to [Relic Bazar](https://github.com/himanshusharma89/relic_bazaar) project.

<h2 align= "left"><b>Code of Conduct</b></h2>

We follow certain guidelines in order to maintain this repository. Please find our [code of conduct](https://github.com/himanshusharma89/relic_bazaar/blob/master/CODE_OF_CONDUCT.md) and read it carefully.

<h2 align= "left"><b>License</b></h2>

Distributed under the CC0-1.0 License. See [LICENSE](https://github.com/himanshusharma89/relic_bazaar/blob/master/LICENSE) for more information.

<h1 align= "left"><b>The Geeks behind this 🤓</b></h1>

|<img src="https://avatars2.githubusercontent.com/u/44980497?v=4">|<img src="https://avatars2.githubusercontent.com/u/46641503?v=4">|<img src="https://avatars3.githubusercontent.com/u/54989142?v=4">|<img src="https://avatars3.githubusercontent.com/u/40017559?v=4">|
|----------------------------|--------|----------------------------|--------|
|<p align="center">[Himanshu Sharma](https://github.com/himanshusharma89)</p>|<p align="center">[Smaranjit Ghose](https://github.com/smaranjitghose)</p>|<p align="center">[Ishan Sharma](https://github.com/ishandeveloper)</p>|<p align="center">[Anush Bhatia](https://github.com/anushbhatia)</p>|
 

